# Class: CH

## ol.proj.CH

#### new ol.proj.CH(options) experimental

src/ol/proj/chprojection.js, line 22

  Internal base class for Swiss grid projections.

  Name | Type | Description
  --- | --- | ---
  `options` | Object | Options.

### Subclasses

- ol.proj.EPSG2056
- ol.proj.EPSG21781

### Extends

- ol.proj.Projection

### Methods

#### getCode(){string} inherited experimental

src/ol/proj/proj.js, line 123

  Get the code for this projection, e.g. 'EPSG:4326'.

  ##### Returns:

  Code.

#### getExtent(){ol.Extent} inherited experimental

src/ol/proj/proj.js, line 133

  Get the validity extent for this projection.

  ##### Returns:

  Extent.

#### getUnits(){ol.proj.Units} inherited experimental

src/ol/proj/proj.js, line 156

  Get the units of this projection.

  ##### Returns:

  Units.